> ## Documentation Index
> Fetch the complete documentation index at: https://docs-v2.sortx.co.uk/llms.txt
> Use this file to discover all available pages before exploring further.

# Record appointment outcome

> Record that an appointment was attended or a no-show, with viewing feedback and a follow-up task



## OpenAPI

````yaml /openapi.json post /calendar/appointments/{id}/outcome
openapi: 3.1.0
info:
  title: SortX API
  version: 1.0.0
  description: >-
    Reactive repairs, planned maintenance, compliance and the repairs desk for
    UK letting agents and property managers.
servers:
  - url: https://api.sortx.co.uk
    description: Production
security: []
tags:
  - name: tenants
  - name: entitlements
  - name: events
  - name: workspace-settings
  - name: operational-catalogues
  - name: money
  - name: contacts
  - name: properties
  - name: address-lookup
  - name: tenancies
  - name: contractor-invoices
  - name: keys
  - name: inspections
  - name: handovers
  - name: planned-maintenance
  - name: contractors
  - name: documents
  - name: compliance
  - name: activity
  - name: tasks
  - name: today
  - name: reports
  - name: workspace-search
  - name: calendar
  - name: telephony
  - name: maintenance-pro
  - name: front-desk
  - name: maintenance-pro-public
  - name: maintenance-pro-contractor
paths:
  /calendar/appointments/{id}/outcome:
    post:
      tags:
        - calendar
      summary: Record appointment outcome
      description: >-
        Record that an appointment was attended or a no-show, with viewing
        feedback and a follow-up task
      operationId: calendar.recordAppointmentOutcome
      parameters:
        - name: id
          in: path
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                requestId:
                  type: string
                expectedRevision:
                  anyOf:
                    - type: number
                    - type: string
                      enum:
                        - Infinity
                        - '-Infinity'
                        - NaN
                outcome:
                  type: string
                  enum:
                    - attended
                    - no_show
                note:
                  anyOf:
                    - anyOf:
                        - type: string
                        - type: 'null'
                    - type: 'null'
                feedback:
                  anyOf:
                    - anyOf:
                        - type: object
                          properties:
                            interest:
                              type: string
                              enum:
                                - keen
                                - considering
                                - not_interested
                            themes:
                              anyOf:
                                - type: array
                                  items:
                                    type: string
                                - type: 'null'
                            nextAction:
                              anyOf:
                                - type: string
                                  enum:
                                    - send_offer
                                    - second_viewing
                                    - call_back
                                    - none
                                - type: 'null'
                            note:
                              anyOf:
                                - anyOf:
                                    - type: string
                                    - type: 'null'
                                - type: 'null'
                          required:
                            - interest
                          additionalProperties: false
                        - type: 'null'
                    - type: 'null'
                followUp:
                  anyOf:
                    - anyOf:
                        - type: object
                          properties:
                            title:
                              anyOf:
                                - anyOf:
                                    - type: string
                                    - type: 'null'
                                - type: 'null'
                            dueOn:
                              type: string
                            staffId:
                              anyOf:
                                - anyOf:
                                    - type: string
                                    - type: 'null'
                                - type: 'null'
                          required:
                            - dueOn
                          additionalProperties: false
                        - type: 'null'
                    - type: 'null'
              required:
                - requestId
                - expectedRevision
                - outcome
              additionalProperties: false
        required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AppointmentDetailRow'
        '400':
          description: >-
            TenantCreateRejected | ConfigMissing | IntegrationRejected |
            AuthRejected | RegistrationRejected | UnknownIntegration |
            WebhookUnroutable | RateUnavailable
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/TenantCreateRejectedEncoded'
                  - $ref: '#/components/schemas/ConfigMissingEncoded'
                  - $ref: '#/components/schemas/IntegrationRejectedEncoded'
                  - $ref: '#/components/schemas/AuthRejectedEncoded'
                  - $ref: '#/components/schemas/RegistrationRejectedEncoded'
                  - $ref: '#/components/schemas/UnknownIntegrationEncoded'
                  - $ref: '#/components/schemas/WebhookUnroutableEncoded'
                  - $ref: '#/components/schemas/RateUnavailableEncoded'
                  - $ref: '#/components/schemas/AppointmentInputInvalidError'
        '401':
          description: Unauthenticated | WebhookRejected | ApiKeyRejected
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/UnauthenticatedEncoded'
                  - $ref: '#/components/schemas/WebhookRejectedEncoded'
                  - $ref: '#/components/schemas/ApiKeyRejectedEncoded'
        '402':
          description: TenantSuspended
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TenantSuspendedEncoded'
        '403':
          description: >-
            EntitlementMissing | NotAMember | ScopeUnknown | ScopeMissing |
            TenantMismatch | WorkspaceOwnerRequired | WorkspaceRoleRequired
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/EntitlementMissingEncoded'
                  - $ref: '#/components/schemas/NotAMemberEncoded'
                  - $ref: '#/components/schemas/ScopeUnknownEncoded'
                  - $ref: '#/components/schemas/ScopeMissingEncoded'
                  - $ref: '#/components/schemas/TenantMismatchEncoded'
                  - $ref: '#/components/schemas/WorkspaceOwnerRequiredEncoded'
                  - $ref: '#/components/schemas/WorkspaceRoleRequiredEncoded'
        '404':
          description: TenantNotFound | ModuleRequestNotFound
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/TenantNotFoundEncoded'
                  - $ref: '#/components/schemas/ModuleRequestNotFoundEncoded'
                  - $ref: '#/components/schemas/AppointmentNotFoundError'
        '409':
          description: WebhookDuplicate | RegistrationConflict | MoneyBusy
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/WebhookDuplicateEncoded'
                  - $ref: '#/components/schemas/RegistrationConflictEncoded'
                  - $ref: '#/components/schemas/AppointmentStaleError'
                  - $ref: '#/components/schemas/AppointmentRequestConflictError'
                  - $ref: '#/components/schemas/AppointmentTransitionInvalidError'
                  - $ref: '#/components/schemas/AppointmentSlotUnavailableError'
                  - $ref: '#/components/schemas/AppointmentSourceOwnedError'
                  - $ref: '#/components/schemas/MoneyBusyEncoded'
        '429':
          description: RateLimited
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RateLimitedEncoded'
        '503':
          description: IntegrationUnavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntegrationUnavailableEncoded'
      security:
        - apiKey: []
components:
  schemas:
    AppointmentDetailRow:
      type: object
      properties:
        id:
          type: string
        title:
          type: string
        kind:
          type: string
        subjectKind:
          anyOf:
            - type: string
            - type: 'null'
        subjectId:
          anyOf:
            - type: string
            - type: 'null'
        startsAt:
          type: string
        endsAt:
          type: string
        location:
          anyOf:
            - type: string
            - type: 'null'
        status:
          type: string
        createdByUserId:
          anyOf:
            - type: string
            - type: 'null'
        propertyId:
          anyOf:
            - type: string
            - type: 'null'
        propertyLabel:
          anyOf:
            - type: string
            - type: 'null'
        staffId:
          anyOf:
            - type: string
            - type: 'null'
        staffUserId:
          anyOf:
            - type: string
            - type: 'null'
        staffName:
          anyOf:
            - type: string
            - type: 'null'
        contactId:
          anyOf:
            - type: string
            - type: 'null'
        contactName:
          anyOf:
            - type: string
            - type: 'null'
        notes:
          anyOf:
            - type: string
            - type: 'null'
        revision:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
        outcome:
          anyOf:
            - type: string
              enum:
                - attended
                - no_show
            - type: 'null'
        outcomeNote:
          anyOf:
            - type: string
            - type: 'null'
        outcomeRecordedAt:
          anyOf:
            - type: string
            - type: 'null'
        feedback:
          anyOf:
            - type: object
              properties:
                interest:
                  type: string
                  enum:
                    - keen
                    - considering
                    - not_interested
                themes:
                  type: array
                  items:
                    type: string
                nextAction:
                  type: string
                  enum:
                    - send_offer
                    - second_viewing
                    - call_back
                    - none
                note:
                  anyOf:
                    - type: string
                    - type: 'null'
              required:
                - interest
                - themes
                - nextAction
                - note
              additionalProperties: false
            - type: 'null'
        followUpTaskId:
          anyOf:
            - type: string
            - type: 'null'
        cancelReason:
          anyOf:
            - type: string
            - type: 'null'
        cancelledAt:
          anyOf:
            - type: string
            - type: 'null'
        createdAt:
          type: string
        updatedAt:
          type: string
        createdBy:
          anyOf:
            - anyOf:
                - type: object
                  properties:
                    kind:
                      type: string
                      enum:
                        - user
                    userId:
                      type: string
                  required:
                    - kind
                    - userId
                  additionalProperties: false
                - type: object
                  properties:
                    kind:
                      type: string
                      enum:
                        - api-key
                    keyId:
                      type: string
                    keyName:
                      type: string
                  required:
                    - kind
                    - keyId
                    - keyName
                  additionalProperties: false
                - type: object
                  properties:
                    kind:
                      type: string
                      enum:
                        - system
                  required:
                    - kind
                  additionalProperties: false
            - type: 'null'
        followUp:
          anyOf:
            - type: object
              properties:
                id:
                  type: string
                title:
                  type: string
                dueOn:
                  anyOf:
                    - type: string
                    - type: 'null'
                status:
                  type: string
              required:
                - id
                - title
                - dueOn
                - status
              additionalProperties: false
            - type: 'null'
        history:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              revision:
                anyOf:
                  - type: number
                  - type: string
                    enum:
                      - Infinity
                      - '-Infinity'
                      - NaN
              action:
                type: string
              startsAt:
                type: string
              endsAt:
                type: string
              previousStartsAt:
                anyOf:
                  - type: string
                  - type: 'null'
              previousEndsAt:
                anyOf:
                  - type: string
                  - type: 'null'
              staffId:
                anyOf:
                  - type: string
                  - type: 'null'
              staffName:
                anyOf:
                  - type: string
                  - type: 'null'
              previousStaffId:
                anyOf:
                  - type: string
                  - type: 'null'
              previousStaffName:
                anyOf:
                  - type: string
                  - type: 'null'
              status:
                type: string
              note:
                anyOf:
                  - type: string
                  - type: 'null'
              detail:
                anyOf:
                  - type: object
                  - type: 'null'
              actorUserId:
                anyOf:
                  - type: string
                  - type: 'null'
              actor:
                anyOf:
                  - anyOf:
                      - type: object
                        properties:
                          kind:
                            type: string
                            enum:
                              - user
                          userId:
                            type: string
                        required:
                          - kind
                          - userId
                        additionalProperties: false
                      - type: object
                        properties:
                          kind:
                            type: string
                            enum:
                              - api-key
                          keyId:
                            type: string
                          keyName:
                            type: string
                        required:
                          - kind
                          - keyId
                          - keyName
                        additionalProperties: false
                      - type: object
                        properties:
                          kind:
                            type: string
                            enum:
                              - system
                        required:
                          - kind
                        additionalProperties: false
                  - type: 'null'
              createdAt:
                type: string
            required:
              - id
              - revision
              - action
              - startsAt
              - endsAt
              - previousStartsAt
              - previousEndsAt
              - staffId
              - staffName
              - previousStaffId
              - previousStaffName
              - status
              - note
              - detail
              - actorUserId
              - actor
              - createdAt
            additionalProperties: false
      required:
        - id
        - title
        - kind
        - subjectKind
        - subjectId
        - startsAt
        - endsAt
        - location
        - status
        - createdByUserId
        - propertyId
        - propertyLabel
        - staffId
        - staffUserId
        - staffName
        - contactId
        - contactName
        - notes
        - revision
        - outcome
        - outcomeNote
        - outcomeRecordedAt
        - feedback
        - followUpTaskId
        - cancelReason
        - cancelledAt
        - createdAt
        - updatedAt
        - createdBy
        - followUp
        - history
      additionalProperties: false
    TenantCreateRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantCreateRejected
        reason:
          type: string
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - reason
      additionalProperties: false
    ConfigMissingEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ConfigMissing
        key:
          type: string
      required:
        - _tag
        - key
      additionalProperties: false
    IntegrationRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - IntegrationRejected
        integration:
          type: string
        reason:
          type: string
      required:
        - _tag
        - integration
        - reason
      additionalProperties: false
    AuthRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - AuthRejected
        code:
          type: string
        message:
          type: string
      required:
        - _tag
        - code
        - message
      additionalProperties: false
    RegistrationRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RegistrationRejected
        message:
          type: string
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - message
      additionalProperties: false
    UnknownIntegrationEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - UnknownIntegration
        integration:
          type: string
      required:
        - _tag
        - integration
      additionalProperties: false
    WebhookUnroutableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WebhookUnroutable
        integration:
          type: string
        reason:
          type: string
      required:
        - _tag
        - integration
        - reason
      additionalProperties: false
    RateUnavailableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RateUnavailable
        base:
          type: string
        quote:
          type: string
        'on':
          type: string
      required:
        - _tag
        - base
        - quote
        - 'on'
      additionalProperties: false
    AppointmentInputInvalidError:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - AppointmentInputInvalid
        field:
          type: string
        message:
          type: string
      required:
        - _tag
        - field
        - message
      additionalProperties: false
    UnauthenticatedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - Unauthenticated
      required:
        - _tag
      additionalProperties: false
    WebhookRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WebhookRejected
        integration:
          type: string
        reason:
          type: string
      required:
        - _tag
        - integration
        - reason
      additionalProperties: false
    ApiKeyRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ApiKeyRejected
      required:
        - _tag
      additionalProperties: false
    TenantSuspendedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantSuspended
        tenantId:
          type: string
        reason:
          type: string
      required:
        - _tag
        - tenantId
        - reason
      additionalProperties: false
    EntitlementMissingEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - EntitlementMissing
        tenantId:
          type: string
        moduleId:
          type: string
      required:
        - _tag
        - tenantId
        - moduleId
      additionalProperties: false
    NotAMemberEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - NotAMember
        userId:
          type: string
        slug:
          type: string
      required:
        - _tag
        - userId
        - slug
      additionalProperties: false
    ScopeUnknownEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ScopeUnknown
        scope:
          type: string
      required:
        - _tag
        - scope
      additionalProperties: false
    ScopeMissingEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ScopeMissing
        scope:
          type: string
      required:
        - _tag
        - scope
      additionalProperties: false
    TenantMismatchEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantMismatch
        header:
          type: string
        organizationId:
          type: string
      required:
        - _tag
        - header
        - organizationId
      additionalProperties: false
    WorkspaceOwnerRequiredEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WorkspaceOwnerRequired
      required:
        - _tag
      additionalProperties: false
    WorkspaceRoleRequiredEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WorkspaceRoleRequired
        role:
          anyOf:
            - type: string
            - type: 'null'
        required:
          type: array
          items:
            type: string
        message:
          type: string
      required:
        - _tag
        - role
        - required
        - message
      additionalProperties: false
    TenantNotFoundEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantNotFound
        slug:
          type: string
      required:
        - _tag
        - slug
      additionalProperties: false
    ModuleRequestNotFoundEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ModuleRequestNotFound
        id:
          type: string
      required:
        - _tag
        - id
      additionalProperties: false
    AppointmentNotFoundError:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - AppointmentNotFound
        id:
          type: string
      required:
        - _tag
        - id
      additionalProperties: false
    WebhookDuplicateEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WebhookDuplicate
        integration:
          type: string
        externalId:
          type: string
      required:
        - _tag
        - integration
        - externalId
      additionalProperties: false
    RegistrationConflictEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RegistrationConflict
        message:
          type: string
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - message
      additionalProperties: false
    AppointmentStaleError:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - AppointmentStale
        revision:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
        expectedRevision:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
        message:
          type: string
      required:
        - _tag
        - revision
        - expectedRevision
        - message
      additionalProperties: false
    AppointmentRequestConflictError:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - AppointmentRequestConflict
        message:
          type: string
      required:
        - _tag
        - message
      additionalProperties: false
    AppointmentTransitionInvalidError:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - AppointmentTransitionInvalid
        code:
          type: string
        message:
          type: string
      required:
        - _tag
        - code
        - message
      additionalProperties: false
    AppointmentSlotUnavailableError:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - AppointmentSlotUnavailable
        field:
          type: string
        message:
          type: string
      required:
        - _tag
        - field
        - message
      additionalProperties: false
    AppointmentSourceOwnedError:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - AppointmentSourceOwned
        sourceKind:
          type: string
        sourceId:
          type: string
        message:
          type: string
      required:
        - _tag
        - sourceKind
        - sourceId
        - message
      additionalProperties: false
    MoneyBusyEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - MoneyBusy
        message:
          type: string
      required:
        - _tag
        - message
      additionalProperties: false
    RateLimitedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RateLimited
        key:
          type: string
        retryAfterSeconds:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
        message:
          type: string
      required:
        - _tag
        - key
        - retryAfterSeconds
        - message
      additionalProperties: false
    IntegrationUnavailableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - IntegrationUnavailable
        integration:
          type: string
        detail:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - integration
      additionalProperties: false
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        A workspace API key (Settings → API keys), scoped to `<group>:read` /
        `<group>:write`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.